Subject: bug#42410: Copying nars between stores fails for packages with multiple outputs

From: Leo Famulari <[email-masked]>
Date: Fri, 17 Jul 2020 16:43:19 -0400

Exporting a nar and importing it on another machine only works when the
package being built has a single output.

I set up a signing-key on the sending machine, authorized it on the
receiving machine, and successfully transferred some nars of
single-output packages. I say they succeeded because `guix build
--no-grafts foo` did not need to build foo after having imported the nar
archive built on the other machine.

However, it fails for packages with multiple outputs such as Syncthing
and libsmf.

I made sure both sides were trying to build the same derivation by using
`guix time-machine` and created the archives like this:

$ guix time-machine --commit=03f9a8c35be387f37badcd2c830ac7414ac17225 -- archive -r --no-grafts --export libsmf > ~/tmp/libsmf.nar